Skip to main content
`Ctrl`+`K`

# DMShellSetContext

set some data to be usable by this `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetContext(DM dm, PetscCtx ctx)

Collective

## Input Parameters

- dm - `DMSHELL`

- ctx - the context

## See Also

`DM`, `DMSHELL`, `DMCreateMatrix()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex65.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages